import React, { useState, useEffect } from 'react';
import { tsv } from 'd3';


const csvUrl = 'https://gist.githubusercontent.com/sophburke/94a3c3f9bcb3186cf1eb43f4044dbe03/raw/7e660f27071241878841ca3f03bde3fec3e443ce/hx-mitx-course-person-dataset2013-10k.csv'
export const useDataViews = () => {
  const [data, setData] = useState(null);


  useEffect(() => {
    const row = d => {
      d.longitude = +d.longitude;
      d.latitude = +d.latitude;
      d.name = d.name;
      return d;
    };
    tsv(csvUrl, row).then(setData);
  }, []);
  

  return data;
};